Delete tier structure
curl --request DELETE \
--url https://{cluster}.voucherify.io/v2/loyalties/tier-structures/{tierStructureId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"type": "POINT_BALANCE",
"expiration": {
"type": "NO_RETENTION",
"fixed_duration": {
"period": {
"value": 123,
"unit": "DAY"
}
},
"calendar_expiration": {
"calendar_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 123,
"unit": "DAY"
}
}
},
"downgrade": {
"type": "MULTI_LEVEL",
"grace_period": {
"value": 123,
"unit": "DAY",
"round_up": true
}
},
"status": "DRAFT",
"object": "tier_structure",
"point_balance": {
"card_definition_id": "<string>"
},
"point_earned": {
"card_definition_id": "<string>",
"period": {
"value": 123,
"unit": "DAY"
},
"type": "IMMEDIATELY"
}
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Delete tier structure
Documentation in progress
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Deletes a tier structure by deleting its tiers and setting status to DELETED, then returns the deleted tier structure. Returns 400 (resource_in_use) when a program, earning rule, or reward still references the tier structure.
A successful call records vl.tier_structure.deleted.
DELETE
/
v2
/
loyalties
/
tier-structures
/
{tierStructureId}
Delete tier structure
curl --request DELETE \
--url https://{cluster}.voucherify.io/v2/loyalties/tier-structures/{tierStructureId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"type": "POINT_BALANCE",
"expiration": {
"type": "NO_RETENTION",
"fixed_duration": {
"period": {
"value": 123,
"unit": "DAY"
}
},
"calendar_expiration": {
"calendar_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 123,
"unit": "DAY"
}
}
},
"downgrade": {
"type": "MULTI_LEVEL",
"grace_period": {
"value": 123,
"unit": "DAY",
"round_up": true
}
},
"status": "DRAFT",
"object": "tier_structure",
"point_balance": {
"card_definition_id": "<string>"
},
"point_earned": {
"card_definition_id": "<string>",
"period": {
"value": 123,
"unit": "DAY"
},
"type": "IMMEDIATELY"
}
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
X-App-Id & X-App-TokenbearerAuth
Path Parameters
Response
The deleted tier structure.
Response body schema for DELETE /v2/loyalties/tier-structures/{tierStructureId}.

